package com.zyc.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zyc.common.annotation.Excel;
import com.zyc.common.core.domain.BaseEntity;

/**
 * 灾备服务对象 disaster_recovery_services
 * 
 * @author ruoyi
 * @date 2024-12-26
 */
public class DisasterRecoveryServices extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Integer id;

    /** 工单编号 */
    @Excel(name = "工单编号")
    private String workOrderCode;

    /** 申请单位名称 */
    @Excel(name = "申请单位名称")
    private String applicantDepartment;

    /** 申请联系人 */
    @Excel(name = "申请联系人")
    private String applicantName;

    /** 申请联系人电话 */
    @Excel(name = "申请联系人电话")
    private String applicantPhone;

    /** 技术联系人 */
    @Excel(name = "技术联系人")
    private String techContactName;

    /** 技术联系人电话 */
    @Excel(name = "技术联系人电话")
    private String techContactPhone;

    /** 使用单位 */
    @Excel(name = "使用单位")
    private String userDepartment;

    /** 信息系统名称 */
    @Excel(name = "信息系统名称")
    private String systemName;

    /** 申请时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "申请时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date applicationTime;

    /** 回收时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "回收时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date recoveryTime;

    /** 备份系统名称 */
    @Excel(name = "备份系统名称")
    private String backupSystemName;

    /** 备份容量 */
    @Excel(name = "备份容量")
    private Integer backupCapacity;

    /** 创建者 */
    @Excel(name = "创建者")
    private Integer createdBy;

    /** 更新者 */
    @Excel(name = "更新者")
    private Integer updatedBy;

    /** 删除者 */
    @Excel(name = "删除者")
    private Integer deletedBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdAt;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedAt;

    /** 删除时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "删除时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date deletedAt;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Integer deletedFlag;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setWorkOrderCode(String workOrderCode) 
    {
        this.workOrderCode = workOrderCode;
    }

    public String getWorkOrderCode() 
    {
        return workOrderCode;
    }
    public void setApplicantDepartment(String applicantDepartment) 
    {
        this.applicantDepartment = applicantDepartment;
    }

    public String getApplicantDepartment() 
    {
        return applicantDepartment;
    }
    public void setApplicantName(String applicantName) 
    {
        this.applicantName = applicantName;
    }

    public String getApplicantName() 
    {
        return applicantName;
    }
    public void setApplicantPhone(String applicantPhone) 
    {
        this.applicantPhone = applicantPhone;
    }

    public String getApplicantPhone() 
    {
        return applicantPhone;
    }
    public void setTechContactName(String techContactName) 
    {
        this.techContactName = techContactName;
    }

    public String getTechContactName() 
    {
        return techContactName;
    }
    public void setTechContactPhone(String techContactPhone) 
    {
        this.techContactPhone = techContactPhone;
    }

    public String getTechContactPhone() 
    {
        return techContactPhone;
    }
    public void setUserDepartment(String userDepartment) 
    {
        this.userDepartment = userDepartment;
    }

    public String getUserDepartment() 
    {
        return userDepartment;
    }
    public void setSystemName(String systemName) 
    {
        this.systemName = systemName;
    }

    public String getSystemName() 
    {
        return systemName;
    }
    public void setApplicationTime(Date applicationTime) 
    {
        this.applicationTime = applicationTime;
    }

    public Date getApplicationTime() 
    {
        return applicationTime;
    }
    public void setRecoveryTime(Date recoveryTime) 
    {
        this.recoveryTime = recoveryTime;
    }

    public Date getRecoveryTime() 
    {
        return recoveryTime;
    }
    public void setBackupSystemName(String backupSystemName) 
    {
        this.backupSystemName = backupSystemName;
    }

    public String getBackupSystemName() 
    {
        return backupSystemName;
    }
    public void setBackupCapacity(Integer backupCapacity) 
    {
        this.backupCapacity = backupCapacity;
    }

    public Integer getBackupCapacity() 
    {
        return backupCapacity;
    }
    public void setCreatedBy(Integer createdBy) 
    {
        this.createdBy = createdBy;
    }

    public Integer getCreatedBy() 
    {
        return createdBy;
    }
    public void setUpdatedBy(Integer updatedBy) 
    {
        this.updatedBy = updatedBy;
    }

    public Integer getUpdatedBy() 
    {
        return updatedBy;
    }
    public void setDeletedBy(Integer deletedBy) 
    {
        this.deletedBy = deletedBy;
    }

    public Integer getDeletedBy() 
    {
        return deletedBy;
    }
    public void setCreatedAt(Date createdAt) 
    {
        this.createdAt = createdAt;
    }

    public Date getCreatedAt() 
    {
        return createdAt;
    }
    public void setUpdatedAt(Date updatedAt) 
    {
        this.updatedAt = updatedAt;
    }

    public Date getUpdatedAt() 
    {
        return updatedAt;
    }
    public void setDeletedAt(Date deletedAt) 
    {
        this.deletedAt = deletedAt;
    }

    public Date getDeletedAt() 
    {
        return deletedAt;
    }
    public void setDeletedFlag(Integer deletedFlag) 
    {
        this.deletedFlag = deletedFlag;
    }

    public Integer getDeletedFlag() 
    {
        return deletedFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("workOrderCode", getWorkOrderCode())
            .append("applicantDepartment", getApplicantDepartment())
            .append("applicantName", getApplicantName())
            .append("applicantPhone", getApplicantPhone())
            .append("techContactName", getTechContactName())
            .append("techContactPhone", getTechContactPhone())
            .append("userDepartment", getUserDepartment())
            .append("systemName", getSystemName())
            .append("applicationTime", getApplicationTime())
            .append("recoveryTime", getRecoveryTime())
            .append("backupSystemName", getBackupSystemName())
            .append("backupCapacity", getBackupCapacity())
            .append("remark", getRemark())
            .append("createdBy", getCreatedBy())
            .append("updatedBy", getUpdatedBy())
            .append("deletedBy", getDeletedBy())
            .append("createdAt", getCreatedAt())
            .append("updatedAt", getUpdatedAt())
            .append("deletedAt", getDeletedAt())
            .append("deletedFlag", getDeletedFlag())
            .toString();
    }
}
